on:
  push:
  schedule:
    - cron: '30 15 * * *'

jobs:
  publish:
    runs-on: docker
    env:
      NETLIFY_SITE_ID: cf248f4b-6e60-4956-b134-73122ae44299
      NETLIFY_AUTH_TOKEN: ${{ secrets.NETLIFY_AUTH_TOKEN }}
    steps:
      - uses: actions/checkout@v3
      - uses: actions/setup-node@v4
        with:
          node-version: 21.1
      - name: Setup Go
        uses: actions/setup-go@v3
        with:
          go-version: 1.24
      - name: Installing Netlify
        run: |
          npm install
          npm install netlify-cli --save-dev
      - name: Building Site
        run: |
          mkdir -p build
          cp -r site/* build/.
      - name: Building Header Image
        run: |
          go run ./cmd/fetch-header-image -o build/imgs/header.jpg
      - name: Deploying Site
        run: |          
          npx netlify deploy --dir build --prod